"use client";
import { __exports as r } from "../../../_virtual/index6.js";
import { __require as c } from "../../inline-style-parser/index.js";
var f;
function j() {
  if (f) return r;
  f = 1;
  var o = r && r.__importDefault || function(e) {
    return e && e.__esModule ? e : { default: e };
  };
  Object.defineProperty(r, "__esModule", { value: !0 }), r.default = s;
  var l = o(c());
  function s(e, n) {
    var t = null;
    if (!e || typeof e != "string")
      return t;
    var _ = (0, l.default)(e), p = typeof n == "function";
    return _.forEach(function(u) {
      if (u.type === "declaration") {
        var a = u.property, i = u.value;
        p ? n(a, i, u) : i && (t = t || {}, t[a] = i);
      }
    }), t;
  }
  return r;
}
export {
  j as __require
};
